[project]
name = "rag2_0"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.11"
dependencies = [
    "bs4>=0.0.2",
    "aiosqlite>=0.20.0",
    "faiss-cpu>=1.11.0",
    "fastapi>=0.115.14",
    "flask>=3.1.1",
    "gevent>=25.5.1",
    "gunicorn>=23.0.0",
    "ijson>=3.4.0",
    "jieba>=0.42.1",
    "langchain>=0.3.25",
    "langchain-community>=0.3.25",
    "langchain-openai>=0.3.24",
    "langfuse==2.51.3",
    "markdownify==0.13.1",
    "openpyxl>=3.1.5",
    "pandas>=2.3.0",
    "psycopg2>=2.9.10",
    "pydantic>=2.11.7",
    "pymysql>=1.1.1",
    "python-dotenv>=1.1.0",
    "requests>=2.32.4",
    "sqlalchemy>=2.0.41",
    "sqlite-vss>=0.1.2",
    "tqdm>=4.67.1",
    "uvicorn>=0.35.0",
    "xlsxwriter>=3.2.5",
]

[[tool.uv.index]]
url = "https://mirrors.aliyun.com/pypi/simple"
default = true
